﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Code_ContentTSCDynamic : System.Web.UI.Page
{
    protected override void OnInitComplete(EventArgs e)
    {
        // Dynamic Content ///////////////////////////////////////////////

        string DynamicContentID = Request.QueryString["id"];//querystring ID

        if (DynamicContentID == null)
            DynamicContentID = "30";   // default empty content block sample 

        this.info.ContentFilters.Add(new Ektron.Cms.Framework.UI.Controls.ContentFilter()
        {
            Value = DynamicContentID,
            Operator = Ektron.Cms.Common.CriteriaFilterOperator.EqualTo,
            Field = Ektron.Cms.Common.ContentProperty.Id
        });

        base.OnInitComplete(e);
    }
}